public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Horea Christian" <horea.christ@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/sci:master commit in: sci-biology/ants/
Date: Thu, 15 Sep 2022 07:03:54 +0000 (UTC)	[thread overview]
Message-ID: <1663225420.4d36e47773d01a0d4d91d2eee5d2701dcdebe9d0.chymera@gentoo> (raw)

commit:     4d36e47773d01a0d4d91d2eee5d2701dcdebe9d0
Author:     Horea Christian <chr <AT> chymera <DOT> eu>
AuthorDate: Thu Sep 15 07:03:40 2022 +0000
Commit:     Horea Christian <horea.christ <AT> gmail <DOT> com>
CommitDate: Thu Sep 15 07:03:40 2022 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=4d36e477

sci-biology/ants: add 2.3.4

Signed-off-by: Horea Christian <chr <AT> chymera.eu>

 sci-biology/ants/ants-2.3.4.ebuild | 78 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 78 insertions(+)

diff --git a/sci-biology/ants/ants-2.3.4.ebuild b/sci-biology/ants/ants-2.3.4.ebuild
new file mode 100644
index 000000000..95eb6355b
--- /dev/null
+++ b/sci-biology/ants/ants-2.3.4.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+CMAKE_MAKEFILE_GENERATOR="emake"
+
+inherit cmake
+
+MY_PN="ANTs"
+
+DESCRIPTION="Advanced Normalitazion Tools for neuroimaging"
+HOMEPAGE="http://stnava.github.io/ANTs/"
+SRC_URI="
+	https://github.com/ANTsX/ANTs/archive/v${PV}.tar.gz ->  ${P}.tar.gz
+	test? (
+		http://resources.chymera.eu/distfiles/ants_testdata-${PV}.tar.xz
+	)
+"
+
+SLOT="0"
+LICENSE="BSD"
+KEYWORDS="~amd64 ~x86"
+IUSE="test vtk"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+	vtk? (
+		~sci-libs/itk-5.1.0[vtkglue]
+		sci-libs/vtk
+	)
+	!vtk? (	~sci-libs/itk-5.1.0 )
+"
+RDEPEND="${DEPEND}"
+
+PATCHES=(
+	"${FILESDIR}/${P}-version.patch"
+	"${FILESDIR}/${P}-libdir.patch"
+)
+
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+src_unpack() {
+	default
+	if use test; then
+		mkdir -p "${S}/.ExternalData/MD5" || die "Could not create test data directory."
+		tar xvf "${DISTDIR}/ants_testdata-${PV}.tar.xz" -C "${S}/.ExternalData/MD5/" > /dev/null || die "Could not unpack test data."
+	fi
+}
+
+src_configure() {
+	local mycmakeargs=(
+		-DUSE_SYSTEM_ITK=ON
+		-DITK_DIR="${EPREFIX}/usr/include/ITK-5.1/"
+		-DBUILD_TESTING="$(usex test ON OFF)"
+		-DUSE_VTK=$(usex vtk ON OFF)
+		-DUSE_SYSTEM_VTK=$(usex vtk ON OFF)
+		-DANTS_SNAPSHOT_VERSION:STRING=${PV}
+	)
+	use vtk && mycmakeargs+=(
+		-DVTK_DIR="${EPREFIX}/usr/include/vtk-8.1/"
+	)
+	use test && mycmakeargs+=(
+		-DExternalData_OBJECT_STORES="${S}/.ExternalData/MD5"
+	)
+	cmake_src_configure
+}
+
+src_install() {
+	BUILD_DIR="${WORKDIR}/${P}_build/ANTS-build"
+	cmake_src_install
+	cd "${S}/Scripts" || die "scripts dir not found"
+	dobin *.sh
+	dodir /usr/$(get_libdir)/ants
+	insinto "/usr/$(get_libdir)/ants"
+	doins *
+	doenvd "${FILESDIR}"/99ants
+}


             reply	other threads:[~2022-09-15  7:03 UTC|newest]

Thread overview: 27+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-09-15  7:03 Horea Christian [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-05-02 12:52 [gentoo-commits] proj/sci:master commit in: sci-biology/ants/ Andrew Ammerlaan
2023-04-06  7:15 Horea Christian
2023-04-04 21:20 Horea Christian
2023-04-04  5:04 Horea Christian
2022-09-15 11:17 Andrew Ammerlaan
2022-09-15 11:17 Andrew Ammerlaan
2022-09-15  7:57 Horea Christian
2022-08-31 10:56 Andrew Ammerlaan
2020-12-24 11:00 Horea Christian
2020-12-07 20:09 Horea Christian
2020-09-26 13:08 Horea Christian
2020-09-26 13:00 Horea Christian
2020-09-25 19:43 Horea Christian
2020-09-25 19:41 Horea Christian
2019-12-09 13:24 Horea Christian
2019-11-25 17:58 Horea Christian
2019-11-25 17:55 Horea Christian
2018-06-26  0:25 Horea Christian
2018-01-20 21:26 Martin Mokrejs
2016-07-12 19:57 Marius Brehler
2016-05-20 14:03 Marius Brehler
2016-05-20 14:03 Marius Brehler
2015-08-04  9:16 Justin Lecher
2015-08-04  9:16 Justin Lecher
2015-08-04  9:16 Justin Lecher
2015-08-04  9:16 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1663225420.4d36e47773d01a0d4d91d2eee5d2701dcdebe9d0.chymera@gentoo \
    --to=horea.christ@gmail.com \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox